> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/geo-endpunkte-fur-den-zugriff-auf-raumliche-daten/wms-rasterbilder-raumlicher-datenebenen-abrufen/16.-satellitenbild-durch-feldgrenze-zugeschnitten.md).

# 16. Satellitenbild: durch Feldgrenze zugeschnitten

Ein genauer (nicht verpixelter) Ausschnitt des Satellitenbildes basierend auf der definierten Feldgrenze ist für verschiedene Ansichten verfügbar wie `RGB, NIR, EVI2, LAI, NDVI, GNDVI, IPVI, GCI, SAVI, OSAVI, NDWI, WDRVI, NDMI, MCARI`, usw.&#x20;

Jedes SatellitenBild enthält ein `geoMaps` Objekt, das Rendering-Details wie `url`, Farbkennzeichnungen, Klassen und Namen beherbergt. Diese Details befinden sich innerhalb des `Feld` -> `satelliteImages` -> `geoMaps` Attribut. Das `url` wird speziell verwendet, um Karten als WMS-Layer darzustellen.

Zur Veranschaulichung wurden unten Ausgabebeispiele für NIR- und WDRVI-Ansichten bereitgestellt.

### Nahinfrarot (NIR), WDRVI und WDRVI-Kontrast

![NIR](https://1347797700-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FBO5IUPWygVgPKpMAsela%2Fimage.png?alt=media\&token=23504b6c-df7c-460e-b1cd-b184fe86c575) ![WDRVI](https://1347797700-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FWWNyxHuZj4eEkSrUPEN1%2Fimage.png?alt=media\&token=8cccb814-3eb8-4b55-b1eb-ff0609091f68) ![WDRVI Contrast](https://1347797700-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2F7f0VDnbb4I5kiw7OdDg5%2Fimage.png?alt=media\&token=1ccffb9a-88b3-431b-9c8d-703cb784a5e6)

Das Anfrageformat ist [https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:\<field\_uuid>\&TIME=2020-07-22T17%3A50%3A22Z\&BBOX=\<minX,minY,maxX,maxY>\&LAYERS=sentinel2\_wdrvi\_and\_field\&SRS=EPSG%3A900913\&WIDTH=512\&geopardApiKey=\<geopard\_api\_key>](https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:).&#x20;

### Erklärung der URL-Parameter

Wobei die Eingabeattribute sind:

1. `VIEWPARAMS=uuid:<field_uuid>` enthält das `uuid` des "Feldes";
2. `TIME=2020-07-22T17%3A50%3A22Z` hat die Daten des Satellitenbildes im Format JJJJ-MM-TTThh:mm:ssZ (url-codiert) und befindet sich in der Entität "FieldSatelliteImagery" mit `acquisitionDate` Attribut;
3. `BBOX=<minX,minY,maxX,maxY>` enthält die Bounding Box (URL-codiert) des "Feldes" in der Projektion EPSG:3857;
4. `WIDTH=512`  spiegelt die Ausgabegröße des Bildes in Pixeln wider (die genaue Zahl ist nur wichtig, wenn sie als Vorschaubild verwendet wird);
5. `geopardApiKey=<geopard_api_key>` ist an die Autorisierungsoption über einen API-Schlüssel gekoppelt;
6. `LAYERS=sentinel2_wdrvi_and_field` spiegelt den Stil wider, das Provider-Attribut befindet sich in der Entität "FieldSatelliteImagery".

Die verfügbaren Optionen für Sentinel2 (`S2`) Satellitenbilder `LAYERS` sind:

`sentinel2_ndvi_and_field`&#x20;

`sentinel2_evi2_and_field`&#x20;

`sentinel2_rgb_and_field`&#x20;

`sentinel2_gci_and_field`

`sentinel2_lai_and_field`&#x20;

`sentinel2_nir_and_field`&#x20;

`sentinel2_osavi_and_field`&#x20;

`Sentinel2_wdrvi_and_field`

die verfügbaren Optionen für Landsat8 (`L8, L9`) Satellitenbilder `LAYERS` sind:

`landsat8_ndvi_and_field`&#x20;

`landsat8_evi2_and_field`&#x20;

`landsat8_rgb_and_field`&#x20;

`landsat8_gci_and_field`

`landsat8_lai_and_field`&#x20;

`landsat8_nir_and_field`&#x20;

`landsat8_osavi_and_field`&#x20;

`landsat8_wdrvi_and_field`

die verfügbaren Optionen für Landsat4-7 (`L4, L5, L6, L7`) Satellitenbilder `LAYERS` sind:

`landsat4-7_ndvi_and_field`&#x20;

`landsat4-7_evi2_and_field`&#x20;

`landsat4-7_rgb_and_field`&#x20;

`Landsat4-7_gci_and_field`

`landsat4-7_lai_and_field`&#x20;

`landsat4-7_nir_and_field`&#x20;

`landsat4-7_osavi_and_field`&#x20;

`landsat4-7_wdrvi_and_field`

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/geo-endpunkte-fur-den-zugriff-auf-raumliche-daten/wms-rasterbilder-raumlicher-datenebenen-abrufen/16.-satellitenbild-durch-feldgrenze-zugeschnitten.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
